Skip to main content
PATCH

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employerId
string
required
employeeId
string
required

Body

application/json

Employee information

dateOfBirth
string<date>
required

Date of birth associated with a Employee.

emailAddress
string
required

Email address associated with a Employee.

employment
object
required

Current employment record

firstName
string
required

Employee's first name.

lastName
string
required

Employee's last name.

address
object

The address sub-element of the Employee element contains all data pertaining to Employee's physical address.

appliedForSsn
boolean

Indicates whether the employee has applied for an SSN. If true, socialSecurityNumber cannot be provided. If false, socialSecurityNumber is required. For updates, this field is optional.

gender
enum<string>
Available options:
f,
m,
x
id
string<uuid>
middleName
string

Employee's middle name.

nickname
string
skipEverify
boolean

Allows employer to manage E-Verify cases manually via the E-Verify website directly. When true, employee will not be automatically sent to E-Verify when Form I-9 is completed.

socialSecurityNumber
string

Employee's Social Security Number. Must be exactly 9 digits. All non-numeric characters will be automatically removed before validation (for example, 123-45-6789 will be validated as 123456789). Required when appliedForSsn is false. Cannot be provided when appliedForSsn is true.

telephoneNumber
string

The phone number associated with a Employee. Required if remote verification (i9RemoteCounterSignAuthorized or i9RemoteReverificationAuthorized) is enabled.

Response

OK

Employee response

employee
object

Employee information